/*手机端通用获取订货商品列表*/
var querydata = new Object;
var page = 1;
$(document).ready(function(){
	querydata.use_num = 0;
	querydata.discount_num = 0;
	querydata.receive_num = 0;
	get_list(1);
	$('.load_mores').click(function(){
		page++;
        get_list(page);
	});
	$("#use_way").click(function(){
		$('.slide').hide();
		if($(this).hasClass('up')){
			$('#use_way').removeClass('up');
			$('.popmask').hide();
		}else{
			$('.way').removeClass('up');
			$("#use_way").addClass('up');
			$(".use_way").show();
			$('.popmask').show();
		}
	});
	$("#discount_way").click(function(){
		$('.slide').hide();
		if($(this).hasClass('up')){
			$('#discount_way').removeClass('up');
			$('.popmask').hide();
		}else{
			$('.way').removeClass('up');
			$("#discount_way").addClass('up');
			$('.discount_way').show();
			$('.popmask').show();
		}
	});
	$("#receive_way").click(function(){
		$('.slide').hide();
		if($(this).hasClass('up')){
			$('#receive_way').removeClass('up');
			$('.popmask').hide();
		}else{
			$('.way').removeClass('up');
			$("#receive_way").addClass('up');
			$('.receive_way').show();
			$('.popmask').show();
		}
	});
	$('.popmask').click(function(){
		$('.way').removeClass('up');
		$('.slide').hide();
		$('.popmask').hide();
	});
});
//使用方式筛选
function use_click(num,obj){
	$('.way').removeClass('up');$('.slide').hide();
	if($(obj).hasClass('on')){
		$(obj).removeClass('on');
		querydata.use_num = 0;
	}else{
		$('.use_way li').removeClass("on");
		$(obj).addClass('on');
		querydata.use_num=num;
	}
	page=1;
	get_list(1);
	$('.popmask').fadeOut();
	$('.slide').fadeOut();
}
//优惠方式筛选
function discount_click(num,obj){
	$('.way').removeClass('up');$('.slide').hide();
	if($(obj).hasClass('on')){
		$(obj).removeClass('on');
		querydata.discount_num = 0;
	}else{
		$('.discount_way li').removeClass("on");
		$(obj).addClass('on');
		querydata.discount_num=num;
	}
	page=1;
	get_list(1);
	$('.popmask').fadeOut();
	$('.slide').fadeOut();
}
//领取方式筛选
function receive_click(num,obj){
	$('.way').removeClass('up');$('.slide').hide();
	if($(obj).hasClass('on')){
		$(obj).removeClass('on');
		querydata.receive_num = 0;
	}else{
		$('.receive_way li').removeClass("on");
		$(obj).addClass('on');
		querydata.receive_num=num;
	}
	page=1;
	get_list(1);
	$('.popmask').fadeOut();
	$('.slide').fadeOut();
}
function get_list(page){
	if(querydata.use_num==0) $(".use_way li:first").addClass('on');
	if(querydata.discount_num==0) $(".discount_way li:first").addClass('on');
	if(querydata.receive_num==0) $(".receive_way li:first").addClass('on');
	page=parseInt(page);
	if(!page)page=1;
	querydata['page']=page;
	$.ajax({
		url: queryurl,
		type: "post",
		data: querydata,
		dataType: "json",
		success: function (ret) {
			if (ret.status) {
				if(page==1){
					$('#guessList').html(ret.data);
				}else{
					$('#guessList').append(ret.data);
				}
				if(ret.show == 1){
					$('.load_mores').show();
				}else{
					$('.load_mores').hide();
				}
			}else{
				if(page==1){
					$('#guessList').html('<p class="text-center pb10" id="no-content">暂无数据</p>');
				}else {
					showtoast('没有更多的数据了！');body_css();
                }
                $('.load_mores').hide();
			}
		}
	});
}
function body_css(){
	var body = $('body').css("position");
	if(body=='relative'){$('body').css("position","");}
}
